### Enumeration

# GUPnP XMLError

#### Declaration

    error-domain GUPnP.XMLError

#### Description [src]

Errors during occuring during processing of XML data.

#### Members

`GUPNP_XML_ERROR_PARSE`

  Generic XML parsing error.

  - Value: `0`
  - Available since: 1.6
`GUPNP_XML_ERROR_NO_NODE`

  A required XML node was not found.

  - Value: `1`
  - Available since: 1.6
`GUPNP_XML_ERROR_EMPTY_NODE`

  An XML node is unexpectedly empty.

  - Value: `2`
  - Available since: 1.6
`GUPNP_XML_ERROR_INVALID_ATTRIBUTE`

  An XML node has an unknown attribute.

  - Value: `3`
  - Available since: 1.6
`GUPNP_XML_ERROR_OTHER`

  Unknown/unhandled XML related errors.

  - Value: `4`
  - Available since: 1.6

#### Type functions

###### gupnp_xml_error_quark

No description available.